aboutsummaryrefslogtreecommitdiff
path: root/examples/example2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/example2.sh')
-rwxr-xr-xexamples/example2.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/examples/example2.sh b/examples/example2.sh
new file mode 100755
index 0000000..ab4faff
--- /dev/null
+++ b/examples/example2.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# vim: set filetype=sh
+#
+# Author: Cody Hiar
+# Date: 2019-01-15
+#
+# Description: Dockerize the `date` command
+#
+# Set options:
+# e: Stop script if command fails
+# u: Stop script if unset variable is referenced
+# x: Debug, print commands as they are executed
+# o pipefail: If any command in a pipeline fails it all fails
+#
+set -exuo pipefail
+
+# Run a container
+docker run --rm -it ubuntu:18.04 /bin/bash -c date "$@"